import javax.swing.JOptionPane;

public class H7_Oefening1
{
	final static int dagenInMaand[] = { 0, 31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31 };
	
	public static void main(String[] args)
	{
		int huidigeDatum;
		int verjaardag[] = new int [5];
		
		huidigeDatum = leesDatum();
		leesVerjaardagen(verjaardag);
		drukVerjaardagen(verjaardag);
		
		System.out.println(" "+huidigeDatum);
	}
	
	public static int leesDatum()
	{
		int datum;
		int dag, maand;
		boolean geldigeDatum;
		
		do
		{
			datum = Integer.parseInt(JOptionPane.showInputDialog("Geef de datum in"));
			geldigeDatum = true;
			
			dag = datum/100;
			maand = datum%100;
			
			if (datum<101||datum>3112)
				geldigeDatum = false;
		
			if (maand<1||maand>12)
				geldigeDatum = false;
			else
				if (dag<1||dag>dagenInMaand[maand])
					geldigeDatum = false;

		} while (!geldigeDatum);
	
		return datum;
	}
	
	public static void leesVerjaardagen(int array[])
	{
		
	}
	
	public static void drukVerjaardagen(int array[])
	{
		
	}
	
}